Bug 59094 - Inability to load ramdisk image on booting 2.4.9-21enterprise
Inability to load ramdisk image on booting 2.4.9-21enterprise
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 16:29 EST by Rick Stevens
Modified: 2005-10-31 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 17:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System configuration, installation and boot transcripts (7.88 KB, text/plain)
2002-01-30 16:35 EST, Rick Stevens
no flags Details
The bad initrd image for the 2.4.9-21enterprise kernel. (383.33 KB, application/octet-stream)
2002-02-12 12:54 EST, Rick Stevens
no flags Details
/var/log/dmesg from a 2.4.7-6smp boot (12.95 KB, text/plain)
2002-02-13 12:06 EST, Rick Stevens
no flags Details
The bad initrd image for the 2.4.9-21enterprise kernel. (383.33 KB, application/octet-stream)
2002-02-13 12:07 EST, Rick Stevens
no flags Details
/etc/lilo.conf file for failing boot (omit the "append="mem=4096M"" part) (508 bytes, text/plain)
2002-03-07 19:04 EST, Rick Stevens
no flags Details

  None (edit)
Description Rick Stevens 2002-01-30 16:29:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
I've attempted to install kernel 2.4.9-21enterprise on a Dell PowerEdge 6450
server (8GB RAM, quad P-III processors).  After building the ramdisk image with
mkinitrd-3.2.6-1 and running lilo, the reboot fails because the system is unable
to load the ramdisk image.  Attached is the system configuration (excerpts from
the /proc filesystem under kernel 2.4.6-7smp), along with a transcript of my
installation attempts, "mkinitrd -v", "lilo -v" and
error message from the boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install modutils-2.4.10-1 and mkinitrd-3.2.6-1
2. Install kernel-2.4.9-21enterprise.i686.rpm
3. Build new initrd image in /boot (just to be sure)
4. Edit /etc/lilo.conf and run lilo
5. Attempt the reboot
	

Actual Results:  Error message attached.  Essentially, the system sees a bad ramdisk
image.

Expected Results:  A successful reboot

Additional info:

See attached text files
Comment 1 Rick Stevens 2002-01-30 16:35:27 EST
Created attachment 44040 [details]
System configuration, installation and boot transcripts
Comment 2 Tony Ricker 2002-02-05 15:21:45 EST
According to RH support, I have this issue on a Dell Poweredge 6300 running RH 7.1 (Seawolf). I tried to comment out the scsi in /etc/modules.conf 
and make the initrd inage but system will not reboot using new kernel.
Comment 3 Matt Wilson 2002-02-11 19:31:34 EST
Please attach the initrd.  Also run:

rpm -e kernel-2.4.9-21enterprise
rm /boot/initrd-2.4.9-21enterprise.img
rpm -ivh kernel-2.4.9-21enterprise.i686.rpm

Also, you seem to only have 4 GB of ram.  In this case you don't need the
enterprise kernel unless a memory hole makes memory addressable beyond the 4 GB
(4294967296 bytes) boundary.
Comment 4 Rick Stevens 2002-02-12 12:52:43 EST
The server actually has 8GB, but it's not running an enterprise kernel now, so
only 4GB is seen.  The client needs the 8GB and possibly more (this server pumps
out 80Mbps over a 100Base-T ethernet and will be going to a gigabit ethernet in
a couple of days).

I'm attaching the offending initrd image.
Comment 5 Rick Stevens 2002-02-12 12:53:16 EST
The server actually has 8GB, but it's not running an enterprise kernel now, so
only 4GB is seen.  The client needs the 8GB and possibly more (this server pumps
out 80Mbps over a 100Base-T ethernet and will be going to a gigabit ethernet in
a couple of days).

I'm attaching the offending initrd image.
Comment 6 Rick Stevens 2002-02-12 12:54:49 EST
Created attachment 45419 [details]
The bad initrd image for the 2.4.9-21enterprise kernel.
Comment 7 Matt Wilson 2002-02-12 15:48:05 EST
The initrd image here is OK, this must be either an initrd decompression problem
in the kernel or a bug in LILO.  I would need more dmesg output, including e820
memory mapping.  Also try booting with various mem= settings on the kernel
command line, starting with "mem=4096M" and working up/down to see if it solves
the problem.  Another bootloader like GRUB (which does proper e820 memory
detection) might be a good idea.  I strongly recommend Red Hat Linux 7.2 over
Red Hat Linux 7.1.
Comment 8 Michael K. Johnson 2002-02-12 17:18:24 EST
Adding Alan so that he can look into the possibility of this being
a driver bug.  Alan, have you heard any bug reports about aacraid
in systems using PAE?
Comment 9 Alan Cox 2002-02-12 17:25:29 EST
None so far. The aacraid hardware is is using 32bit DMA anyway
Comment 10 Rick Stevens 2002-02-13 12:06:51 EST
Created attachment 45561 [details]
/var/log/dmesg from a 2.4.7-6smp boot
Comment 11 Rick Stevens 2002-02-13 12:07:10 EST
Created attachment 45562 [details]
The bad initrd image for the 2.4.9-21enterprise kernel.
Comment 12 Rick Stevens 2002-02-13 12:29:36 EST
I've attached the dmesg file from the 2.4.7-6smp boot in the hope that it may
help.  The server is a production box doing about 80Mbps, so I can't reboot it
whenever I wish.  However I do have to put an Intel E1000 gigabit interface in
it today, so I can try the offending kernel again.  Which options would you like me
to feed the boot prompt?
Comment 13 Matt Wilson 2002-02-13 12:32:27 EST
This initrd looks completely fine.  Try booting that kernel with mem=4096M and
mem=3072M

Comment 14 Rick Stevens 2002-02-25 18:42:56 EST
Sorry it's taken so long to get back on this, but the client did NOT want me
toying with the live server.  He did order a second, identical system (quad
Xeons at 700MHz) which arrived today.  I put 6GB RAM into it and got the same
boot failure (unable to load ramdisk).  Rebooting with "mem=4096M" was successful.

This RedHat 7.2 with all current patches (as of this morning) and the latest
2.4.9-13enterprise kernel as pulled from your update site.
Comment 15 Rick Stevens 2002-03-06 14:57:27 EST
Is anyone working on this problem?  It is STILL a hot topic here.  The client is
getting VERY upset.  He needs the additional RAM badly.  The kswapd daemon
sometimes takes 90% of the CPU when running with 4GB.
Comment 16 Matt Wilson 2002-03-07 18:56:02 EST
Are you using GRUB or LILO with Red Hat Linux 7.2?
Comment 17 Rick Stevens 2002-03-07 19:03:40 EST
These are being booted with LILO.  I'm attaching the /etc/lilo.conf file from
one of the boxes.  The "linux-ent" stanza is what I was trying to boot, without
the "mem=4096M" command line argument.
Comment 18 Rick Stevens 2002-03-07 19:04:58 EST
Created attachment 47820 [details]
/etc/lilo.conf file for failing boot (omit the "append="mem=4096M"" part)
Comment 19 Erik Troan 2002-05-21 17:52:25 EDT
Have you tried anything newer then 7.1? It's quite likely that the new kernel or
grub would fix this for you. Please let us know if you've tried those things.
Comment 20 Erik Troan 2002-05-26 17:44:28 EDT
No response to last query... Closing bug.

If you're still having problems with more Red Hat 7.3 please reopen this bug.
I'm not trying to step on your toes here, I'm just assuming you've found a work
around
or that it's fixed in more recent versions of Red Hat.

Note You need to log in before you can comment on or make changes to this bug.